Subject: bug#19576: write-file writes the wrong buffer

From: Juri Linkov <[email-masked]>
Date: Wed, 18 Nov 2015 02:27:31 +0200

> One thing that disturbs me (which I haven't fixed yet) is when a new buffer
> is displayed in the middle of a group of follow-mode windows. It would be a
> good idea to teach `display-buffer' to pick another window, like one the
> first or last instead.

We have now a powerful system of display-buffer actions such as
display-buffer-reuse-window, display-buffer-below-selected, etc.
So follow-mode could add a new specific display action to
display-buffer-base-action that will exclude follow-mode windows
from consideration when deciding where to display the buffer.